# By default, the installer will be created as dist\setup.exe.

import time
import sys
import psyco
psyco.full()

# ModuleFinder can't handle runtime changes to __path__, but win32com uses them

try:
    import modulefinder
    import win32com
    for p in win32com.__path__[1:]:
        modulefinder.AddPackagePath("win32com", p)
    for extra in ["win32com.shell"]: #,"win32com.mapi"
        __import__(extra)
        m = sys.modules[extra]
        for p in m.__path__[1:]:
            modulefinder.AddPackagePath(extra, p)
except ImportError:
    # no build path setup, no worries.
    pass

from distutils.core import setup
import py2exe

setup (name = "QTFairUse6",
       version = "2.4",
       author = "Igor Skochinsky",
       console=['QTFairUse6.py'],
       options = {"py2exe": {"optimize":2, "typelibs": [('{9E93C96F-CF0D-43F6-8BA8-B807A3370712}',0,1,7)]}},
       zipfile = None
       )
